HostingMigrations

Delete migration

DELETE/api/migrations/{migration_code}

Deletes a migration and cancels its related runs when possible.

X-Api-Token<token>

API token used to authenticate requests.

In: header

Path Parameters

migration_code*string

Migration code: MG followed by 8 digits. Example: MG12345678.

Response Body

application/json

application/json

application/json

application/json

curl -X DELETE "https://example.com/api/migrations/string" \  -H "X-Api-Token: YOUR_API_TOKEN" \  -H "Accept: application/json"
Empty
{
  "message": "Unauthorized",
  "errors": []
}
{
  "message": "Forbidden",
  "errors": []
}
{
  "message": "Not found",
  "errors": []
}
{
  "message": "Validation failed",
  "errors": [
    {
      "field": "name",
      "description": "is not valid"
    }
  ]
}